$(document).ready(function () {
	//加载列表
	initTable();
	
	//搜索
	$(".search").on("click", function(){
		initTable();
	})
	//添加
	$(".add").on("click", function(){
		btnAdd();
	})
	//修改
	$(".modify").on("click", function(){
		btnModify();
	})
})

//列表
function initTable() {
    //先销毁表格
    $('#workorderlist').bootstrapTable('destroy');
    //初始化表格,动态从服务器加载数据
    $("#workorderlist").bootstrapTable({
        method: "get",  //使用get请求到服务器获取数据
        url: huayi.config.callcenter_url + "AddressBook/GetModelList", //获取数据的Servlet地址
        contentType: 'application/x-www-form-urlencoded',
        striped: true,  //表格显示条纹
        pagination: true, //启动分页
        pageSize: 10,  //每页显示的记录数
        pageNumber: 1, //当前第几页
        pageList: [10, 20, 50, 100],  //记录数可选列表
        search: false,  //是否启用查询
        showColumns: false,  //显示下拉框勾选要显示的列
        showRefresh: false,  //显示刷新按钮
        sidePagination: "server", //表示服务端请求
        //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
        //设置为limit可以获取limit, offset, search, sort, order
        queryParamsType: "undefined",
        queryParams: function queryParams(params) { //设置查询参数
			var param = {
				token: $.cookie("token"),
				keywords: $("#searchBlurry").val(), //模糊搜索
				pageindex: params.pageNumber, //页码
				pagesize: params.pageSize, //条数
			};
			return param;
		},
        onLoadSuccess: function () {  //加载成功时执行
            //layer.msg("加载成功");
        },
        onLoadError: function () {  //加载失败时执行
            //layer.msg("加载数据失败", { time: 1500, icon: 2 });
        }
    });
}

//添加
function btnAdd () {
	layer.open({
		type: 2,
		title: '添加',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '70%'],
		content: "./contactsAdd.html?",
	});
}

//修改
function btnModify () {
	var ids = $.map($("#workorderlist").bootstrapTable('getSelections'), function (row) {
        return row.id;
    });
    var id = ids.toString();
    if (ids.length != 1) {
    	layer.confirm('请选择一行进行修改！', {
            btn: ['确定']
        });
        return;
    } else {
		layer.open({
			type: 2,
			title: '修改',
			maxmin: true, //开启最大化最小化按钮
			area: ['80%', '70%'],
			content: "./contactsModify.html?id=" + id,
		});    	
    }
}

//删除
$('.delete').click(function () {
    var ids = $.map($("#workorderlist").bootstrapTable('getSelections'), function (row) {
		console.log("row", row)
        return row.id;
    });
    console.log("ids",ids);
    if (ids.length <= 0) {
        layer.confirm('请选择要删除的行！', {
            btn: ['确定']
        });
        return;
    } else {
        var laye = layer.confirm('您确定要删除吗？', {
            btn: ['确定', '取消'] //可以无限个按钮
        }, function () {
            //按钮【按钮一】的回调
            $.ajax({
                type: "post",
                url: huayi.config.callcenter_url + "AddressBook/DelAddressBook",
                async: true,
                dataType: "json",
                data: {
                    token: $.cookie("token"),
                    ids: ids
                },
                success: function (data) {
                    if (data.state.toLowerCase() == 'success') {
                        layer.msg("删除成功！");
                        $("#workorderlist").bootstrapTable('refresh');
                    }
                }
            });
        }, function (index) {
            //按钮【按钮二】的回调
            layer.close(laye)
        });
    }
})

//按enter搜索
$('#searchBlurry').bind('keypress', function (event) {
  if (event.keyCode == "13") {
  		initTable();
   		return false;
	}
});

